function [ypsum,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost]=crossflowmainarea (mArea, mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,no)
options=optimset('display','off','TolFun', 1e-10, 'maxIter',1000);
    mStagecut=fsolve(@stagecutsolver,0.00001,options);
    function [f1]=stagecutsolver(mStagecut)
        for i = 1:no;
    
            R = (mArea*mFeedPressure*Permeance(i))/mFeedFlowVolume; % Permeation Flux
            PR = mPermeatePressure / mFeedPressure; % Pressure ratio
            ab1 = mStagecut / (1 - mStagecut);
            ab2 = 1 / (1 - mStagecut);
            ab3 = mStagecut / R;
            AA = PR / 3 * (2 * ab3 - PR) + 1 / 3 * ab1 * (ab3 + 1 / 12 * ab1 - PR) + ab3 ^ 2;
            BB = Comp(i) / 3 * (1 + ab2) * (PR - ab3) + Comp(i) / 18 * ab1 * (7 - ab2);
            CC = ((Comp(i) / 6 * ab2) ^ 2) * (mStagecut ^ 2 + 12 * mStagecut - 12);
            Yp(i) = (-BB + (((BB ^ 2) - 4 * AA * CC) ^ 0.5)) / (2 * AA);
        
        end
    ypsum=0;
    for i = 1:no;
    ypsum = ypsum + Yp(i);
    end
    f1=1-ypsum;
    end
CCR=mStagecut*(Yp(1)/Comp(1));
[SpecificArea,ConsumedPower,mCaptureCost]=calculatecost(Yp,mArea,mStagecut,CCR,mFeedFlowVolume,mFeedPressure,mPermeatePressure,mInletTemperature,Permeance,mMolarMassA,mMolarMassB,mMolarMassC,Comp);

end
 


    

