%% Solve for Specific function (Cost, Purity, Area)
function [results,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost,mFeedPressure,mPermeatePressure]=solvereqns(mArea, mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,dataspec,no, actval,linecounter,runspec,isovalnum)

options=optimset('display','on','TolFun', 1e-10, 'maxIter',1000);
mFeedPressure=fsolve(@purityset,20,options);
    function [f4]=purityset(mFeedPressure)
        mPermeatePressure=0.4;
        if dataspec == 4
            [~,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost]=crossflowmainarea (mArea, mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,no);
        else
            [~,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost]=crossflowmainnotarea (mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,dataspec, actval,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,no);
        end
        f4=Yp(1)-0.35;
    end
linecounter=linecounter+1;
sYpsA(linecounter)=Yp(1);
sYpsB(linecounter)=Yp(2);
sYpsC(linecounter)=Yp(3);
sCCR(linecounter)=CCR;
sStagecut(linecounter)=mStagecut;
sArea(linecounter)=mArea;
sFeedFlowVolume(linecounter)=mFeedFlowVolume;
sFeedPressure(linecounter)=mFeedPressure;
sPermeatePressure(linecounter)=mPermeatePressure;
sSpecificArea(linecounter)=SpecificArea;
sConsumedPower(linecounter)=ConsumedPower;
smCaptureCost(linecounter)=mCaptureCost;
sCompA(linecounter)=Comp(1);



%% Display results
if runspec==1
    [results]=displayresult(sYpsA,sYpsB,sYpsC,sCCR,sStagecut,sArea,sFeedFlowVolume,sFeedPressure,sPermeatePressure,sSpecificArea,sConsumedPower,smCaptureCost,linecounter,sCompA);
else
    results=1;
end

end
